Package org.drinkless.tdlib

# Class TdApi.SetUserEmojiStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetUserEmojiStatus

Enclosing class:
  `TdApi`

public static class TdApi.SetUserEmojiStatus extends TdApi.Function<TdApi.Ok>
Changes the emoji status of a user; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.EmojiStatus`
  `emojiStatus`
  New emoji status; pass null to switch to the default badge.
  `long`
  `userId`
  Identifier of the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetUserEmojiStatus()`
  Default constructor for a function, which changes the emoji status of a user; for bots only.
  `SetUserEmojiStatus(long userId, TdApi.EmojiStatus emojiStatus)`
  Creates a function, which changes the emoji status of a user; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user.

  - ### emojiStatus

    public TdApi.EmojiStatus emojiStatus
    New emoji status; pass null to switch to the default badge.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetUserEmojiStatus

    public SetUserEmojiStatus()
    Default constructor for a function, which changes the emoji status of a user; for bots only.

    Returns `Ok`

  - ### SetUserEmojiStatus

    public SetUserEmojiStatus(long userId, TdApi.EmojiStatus emojiStatus)
    Creates a function, which changes the emoji status of a user; for bots only.

    Returns `Ok`

    Parameters:
      `userId` - Identifier of the user.
      `emojiStatus` - New emoji status; pass null to switch to the default badge.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR